Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network17.160.0.0/11
Usable hosts2,097,150
Subnet mask255.224.0.0
Addresses2,097,152
Network address
17.160.0.0
Broadcast address
17.191.255.255
First usable
17.160.0.1
Last usable
17.191.255.254
Usable hosts
2,097,150 (2,097,152 less the network and broadcast addresses)
Subnet mask
255.224.0.0
Wildcard mask
0.31.255.255 (Cisco ACLs, OSPF)
Prefix length
/11
Type
Public public
Old class
A (default /8)
As numbers
Hex 11A00000 · Integer 295698432 to 297795583
Reverse DNS zones
160.17.in-addr.arpa
161.17.in-addr.arpa
162.17.in-addr.arpa
163.17.in-addr.arpa
164.17.in-addr.arpa
165.17.in-addr.arpa
166.17.in-addr.arpa
167.17.in-addr.arpa
168.17.in-addr.arpa
169.17.in-addr.arpa
170.17.in-addr.arpa
171.17.in-addr.arpa
172.17.in-addr.arpa
173.17.in-addr.arpa
174.17.in-addr.arpa
175.17.in-addr.arpa
and 16 more
/11 is not on a 8-bit boundary, so it takes 32 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00010001.10100000.00000000.0000000017.160.0.0
Subnet mask11111111.11100000.00000000.00000000255.224.0.0
Network00010001.10100000.00000000.0000000017.160.0.0
Broadcast00010001.10111111.11111111.1111111117.191.255.255
Split into smaller subnets/20

17.160.0.0/11 makes 512 subnets of /20; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
117.160.0.0/2017.160.0.1 to 17.160.15.25417.160.15.2554,094
217.160.16.0/2017.160.16.1 to 17.160.31.25417.160.31.2554,094
317.160.32.0/2017.160.32.1 to 17.160.47.25417.160.47.2554,094
417.160.48.0/2017.160.48.1 to 17.160.63.25417.160.63.2554,094
517.160.64.0/2017.160.64.1 to 17.160.79.25417.160.79.2554,094
617.160.80.0/2017.160.80.1 to 17.160.95.25417.160.95.2554,094
717.160.96.0/2017.160.96.1 to 17.160.111.25417.160.111.2554,094
817.160.112.0/2017.160.112.1 to 17.160.127.25417.160.127.2554,094
917.160.128.0/2017.160.128.1 to 17.160.143.25417.160.143.2554,094
1017.160.144.0/2017.160.144.1 to 17.160.159.25417.160.159.2554,094
1117.160.160.0/2017.160.160.1 to 17.160.175.25417.160.175.2554,094
1217.160.176.0/2017.160.176.1 to 17.160.191.25417.160.191.2554,094
1317.160.192.0/2017.160.192.1 to 17.160.207.25417.160.207.2554,094
1417.160.208.0/2017.160.208.1 to 17.160.223.25417.160.223.2554,094
1517.160.224.0/2017.160.224.1 to 17.160.239.25417.160.239.2554,094
1617.160.240.0/2017.160.240.1 to 17.160.255.25417.160.255.2554,094
1717.161.0.0/2017.161.0.1 to 17.161.15.25417.161.15.2554,094
1817.161.16.0/2017.161.16.1 to 17.161.31.25417.161.31.2554,094
1917.161.32.0/2017.161.32.1 to 17.161.47.25417.161.47.2554,094
2017.161.48.0/2017.161.48.1 to 17.161.63.25417.161.63.2554,094
2117.161.64.0/2017.161.64.1 to 17.161.79.25417.161.79.2554,094
2217.161.80.0/2017.161.80.1 to 17.161.95.25417.161.95.2554,094
2317.161.96.0/2017.161.96.1 to 17.161.111.25417.161.111.2554,094
2417.161.112.0/2017.161.112.1 to 17.161.127.25417.161.127.2554,094
2517.161.128.0/2017.161.128.1 to 17.161.143.25417.161.143.2554,094
2617.161.144.0/2017.161.144.1 to 17.161.159.25417.161.159.2554,094
2717.161.160.0/2017.161.160.1 to 17.161.175.25417.161.175.2554,094
2817.161.176.0/2017.161.176.1 to 17.161.191.25417.161.191.2554,094
2917.161.192.0/2017.161.192.1 to 17.161.207.25417.161.207.2554,094
3017.161.208.0/2017.161.208.1 to 17.161.223.25417.161.223.2554,094
3117.161.224.0/2017.161.224.1 to 17.161.239.25417.161.239.2554,094
3217.161.240.0/2017.161.240.1 to 17.161.255.25417.161.255.2554,094
3317.162.0.0/2017.162.0.1 to 17.162.15.25417.162.15.2554,094
3417.162.16.0/2017.162.16.1 to 17.162.31.25417.162.31.2554,094
3517.162.32.0/2017.162.32.1 to 17.162.47.25417.162.47.2554,094
3617.162.48.0/2017.162.48.1 to 17.162.63.25417.162.63.2554,094
3717.162.64.0/2017.162.64.1 to 17.162.79.25417.162.79.2554,094
3817.162.80.0/2017.162.80.1 to 17.162.95.25417.162.95.2554,094
3917.162.96.0/2017.162.96.1 to 17.162.111.25417.162.111.2554,094
4017.162.112.0/2017.162.112.1 to 17.162.127.25417.162.127.2554,094
4117.162.128.0/2017.162.128.1 to 17.162.143.25417.162.143.2554,094
4217.162.144.0/2017.162.144.1 to 17.162.159.25417.162.159.2554,094
4317.162.160.0/2017.162.160.1 to 17.162.175.25417.162.175.2554,094
4417.162.176.0/2017.162.176.1 to 17.162.191.25417.162.191.2554,094
4517.162.192.0/2017.162.192.1 to 17.162.207.25417.162.207.2554,094
4617.162.208.0/2017.162.208.1 to 17.162.223.25417.162.223.2554,094
4717.162.224.0/2017.162.224.1 to 17.162.239.25417.162.239.2554,094
4817.162.240.0/2017.162.240.1 to 17.162.255.25417.162.255.2554,094
4917.163.0.0/2017.163.0.1 to 17.163.15.25417.163.15.2554,094
5017.163.16.0/2017.163.16.1 to 17.163.31.25417.163.31.2554,094
5117.163.32.0/2017.163.32.1 to 17.163.47.25417.163.47.2554,094
5217.163.48.0/2017.163.48.1 to 17.163.63.25417.163.63.2554,094
5317.163.64.0/2017.163.64.1 to 17.163.79.25417.163.79.2554,094
5417.163.80.0/2017.163.80.1 to 17.163.95.25417.163.95.2554,094
5517.163.96.0/2017.163.96.1 to 17.163.111.25417.163.111.2554,094
5617.163.112.0/2017.163.112.1 to 17.163.127.25417.163.127.2554,094
5717.163.128.0/2017.163.128.1 to 17.163.143.25417.163.143.2554,094
5817.163.144.0/2017.163.144.1 to 17.163.159.25417.163.159.2554,094
5917.163.160.0/2017.163.160.1 to 17.163.175.25417.163.175.2554,094
6017.163.176.0/2017.163.176.1 to 17.163.191.25417.163.191.2554,094
6117.163.192.0/2017.163.192.1 to 17.163.207.25417.163.207.2554,094
6217.163.208.0/2017.163.208.1 to 17.163.223.25417.163.223.2554,094
6317.163.224.0/2017.163.224.1 to 17.163.239.25417.163.239.2554,094
6417.163.240.0/2017.163.240.1 to 17.163.255.25417.163.255.2554,094
6517.164.0.0/2017.164.0.1 to 17.164.15.25417.164.15.2554,094
6617.164.16.0/2017.164.16.1 to 17.164.31.25417.164.31.2554,094
6717.164.32.0/2017.164.32.1 to 17.164.47.25417.164.47.2554,094
6817.164.48.0/2017.164.48.1 to 17.164.63.25417.164.63.2554,094
6917.164.64.0/2017.164.64.1 to 17.164.79.25417.164.79.2554,094
7017.164.80.0/2017.164.80.1 to 17.164.95.25417.164.95.2554,094
7117.164.96.0/2017.164.96.1 to 17.164.111.25417.164.111.2554,094
7217.164.112.0/2017.164.112.1 to 17.164.127.25417.164.127.2554,094
7317.164.128.0/2017.164.128.1 to 17.164.143.25417.164.143.2554,094
7417.164.144.0/2017.164.144.1 to 17.164.159.25417.164.159.2554,094
7517.164.160.0/2017.164.160.1 to 17.164.175.25417.164.175.2554,094
7617.164.176.0/2017.164.176.1 to 17.164.191.25417.164.191.2554,094
7717.164.192.0/2017.164.192.1 to 17.164.207.25417.164.207.2554,094
7817.164.208.0/2017.164.208.1 to 17.164.223.25417.164.223.2554,094
7917.164.224.0/2017.164.224.1 to 17.164.239.25417.164.239.2554,094
8017.164.240.0/2017.164.240.1 to 17.164.255.25417.164.255.2554,094
8117.165.0.0/2017.165.0.1 to 17.165.15.25417.165.15.2554,094
8217.165.16.0/2017.165.16.1 to 17.165.31.25417.165.31.2554,094
8317.165.32.0/2017.165.32.1 to 17.165.47.25417.165.47.2554,094
8417.165.48.0/2017.165.48.1 to 17.165.63.25417.165.63.2554,094
8517.165.64.0/2017.165.64.1 to 17.165.79.25417.165.79.2554,094
8617.165.80.0/2017.165.80.1 to 17.165.95.25417.165.95.2554,094
8717.165.96.0/2017.165.96.1 to 17.165.111.25417.165.111.2554,094
8817.165.112.0/2017.165.112.1 to 17.165.127.25417.165.127.2554,094
8917.165.128.0/2017.165.128.1 to 17.165.143.25417.165.143.2554,094
9017.165.144.0/2017.165.144.1 to 17.165.159.25417.165.159.2554,094
9117.165.160.0/2017.165.160.1 to 17.165.175.25417.165.175.2554,094
9217.165.176.0/2017.165.176.1 to 17.165.191.25417.165.191.2554,094
9317.165.192.0/2017.165.192.1 to 17.165.207.25417.165.207.2554,094
9417.165.208.0/2017.165.208.1 to 17.165.223.25417.165.223.2554,094
9517.165.224.0/2017.165.224.1 to 17.165.239.25417.165.239.2554,094
9617.165.240.0/2017.165.240.1 to 17.165.255.25417.165.255.2554,094
9717.166.0.0/2017.166.0.1 to 17.166.15.25417.166.15.2554,094
9817.166.16.0/2017.166.16.1 to 17.166.31.25417.166.31.2554,094
9917.166.32.0/2017.166.32.1 to 17.166.47.25417.166.47.2554,094
10017.166.48.0/2017.166.48.1 to 17.166.63.25417.166.63.2554,094
10117.166.64.0/2017.166.64.1 to 17.166.79.25417.166.79.2554,094
10217.166.80.0/2017.166.80.1 to 17.166.95.25417.166.95.2554,094
10317.166.96.0/2017.166.96.1 to 17.166.111.25417.166.111.2554,094
10417.166.112.0/2017.166.112.1 to 17.166.127.25417.166.127.2554,094
10517.166.128.0/2017.166.128.1 to 17.166.143.25417.166.143.2554,094
10617.166.144.0/2017.166.144.1 to 17.166.159.25417.166.159.2554,094
10717.166.160.0/2017.166.160.1 to 17.166.175.25417.166.175.2554,094
10817.166.176.0/2017.166.176.1 to 17.166.191.25417.166.191.2554,094
10917.166.192.0/2017.166.192.1 to 17.166.207.25417.166.207.2554,094
11017.166.208.0/2017.166.208.1 to 17.166.223.25417.166.223.2554,094
11117.166.224.0/2017.166.224.1 to 17.166.239.25417.166.239.2554,094
11217.166.240.0/2017.166.240.1 to 17.166.255.25417.166.255.2554,094
11317.167.0.0/2017.167.0.1 to 17.167.15.25417.167.15.2554,094
11417.167.16.0/2017.167.16.1 to 17.167.31.25417.167.31.2554,094
11517.167.32.0/2017.167.32.1 to 17.167.47.25417.167.47.2554,094
11617.167.48.0/2017.167.48.1 to 17.167.63.25417.167.63.2554,094
11717.167.64.0/2017.167.64.1 to 17.167.79.25417.167.79.2554,094
11817.167.80.0/2017.167.80.1 to 17.167.95.25417.167.95.2554,094
11917.167.96.0/2017.167.96.1 to 17.167.111.25417.167.111.2554,094
12017.167.112.0/2017.167.112.1 to 17.167.127.25417.167.127.2554,094
12117.167.128.0/2017.167.128.1 to 17.167.143.25417.167.143.2554,094
12217.167.144.0/2017.167.144.1 to 17.167.159.25417.167.159.2554,094
12317.167.160.0/2017.167.160.1 to 17.167.175.25417.167.175.2554,094
12417.167.176.0/2017.167.176.1 to 17.167.191.25417.167.191.2554,094
12517.167.192.0/2017.167.192.1 to 17.167.207.25417.167.207.2554,094
12617.167.208.0/2017.167.208.1 to 17.167.223.25417.167.223.2554,094
12717.167.224.0/2017.167.224.1 to 17.167.239.25417.167.239.2554,094
12817.167.240.0/2017.167.240.1 to 17.167.255.25417.167.255.2554,094
12917.168.0.0/2017.168.0.1 to 17.168.15.25417.168.15.2554,094
13017.168.16.0/2017.168.16.1 to 17.168.31.25417.168.31.2554,094
13117.168.32.0/2017.168.32.1 to 17.168.47.25417.168.47.2554,094
13217.168.48.0/2017.168.48.1 to 17.168.63.25417.168.63.2554,094
13317.168.64.0/2017.168.64.1 to 17.168.79.25417.168.79.2554,094
13417.168.80.0/2017.168.80.1 to 17.168.95.25417.168.95.2554,094
13517.168.96.0/2017.168.96.1 to 17.168.111.25417.168.111.2554,094
13617.168.112.0/2017.168.112.1 to 17.168.127.25417.168.127.2554,094
13717.168.128.0/2017.168.128.1 to 17.168.143.25417.168.143.2554,094
13817.168.144.0/2017.168.144.1 to 17.168.159.25417.168.159.2554,094
13917.168.160.0/2017.168.160.1 to 17.168.175.25417.168.175.2554,094
14017.168.176.0/2017.168.176.1 to 17.168.191.25417.168.191.2554,094
14117.168.192.0/2017.168.192.1 to 17.168.207.25417.168.207.2554,094
14217.168.208.0/2017.168.208.1 to 17.168.223.25417.168.223.2554,094
14317.168.224.0/2017.168.224.1 to 17.168.239.25417.168.239.2554,094
14417.168.240.0/2017.168.240.1 to 17.168.255.25417.168.255.2554,094
14517.169.0.0/2017.169.0.1 to 17.169.15.25417.169.15.2554,094
14617.169.16.0/2017.169.16.1 to 17.169.31.25417.169.31.2554,094
14717.169.32.0/2017.169.32.1 to 17.169.47.25417.169.47.2554,094
14817.169.48.0/2017.169.48.1 to 17.169.63.25417.169.63.2554,094
14917.169.64.0/2017.169.64.1 to 17.169.79.25417.169.79.2554,094
15017.169.80.0/2017.169.80.1 to 17.169.95.25417.169.95.2554,094
15117.169.96.0/2017.169.96.1 to 17.169.111.25417.169.111.2554,094
15217.169.112.0/2017.169.112.1 to 17.169.127.25417.169.127.2554,094
15317.169.128.0/2017.169.128.1 to 17.169.143.25417.169.143.2554,094
15417.169.144.0/2017.169.144.1 to 17.169.159.25417.169.159.2554,094
15517.169.160.0/2017.169.160.1 to 17.169.175.25417.169.175.2554,094
15617.169.176.0/2017.169.176.1 to 17.169.191.25417.169.191.2554,094
15717.169.192.0/2017.169.192.1 to 17.169.207.25417.169.207.2554,094
15817.169.208.0/2017.169.208.1 to 17.169.223.25417.169.223.2554,094
15917.169.224.0/2017.169.224.1 to 17.169.239.25417.169.239.2554,094
16017.169.240.0/2017.169.240.1 to 17.169.255.25417.169.255.2554,094
16117.170.0.0/2017.170.0.1 to 17.170.15.25417.170.15.2554,094
16217.170.16.0/2017.170.16.1 to 17.170.31.25417.170.31.2554,094
16317.170.32.0/2017.170.32.1 to 17.170.47.25417.170.47.2554,094
16417.170.48.0/2017.170.48.1 to 17.170.63.25417.170.63.2554,094
16517.170.64.0/2017.170.64.1 to 17.170.79.25417.170.79.2554,094
16617.170.80.0/2017.170.80.1 to 17.170.95.25417.170.95.2554,094
16717.170.96.0/2017.170.96.1 to 17.170.111.25417.170.111.2554,094
16817.170.112.0/2017.170.112.1 to 17.170.127.25417.170.127.2554,094
16917.170.128.0/2017.170.128.1 to 17.170.143.25417.170.143.2554,094
17017.170.144.0/2017.170.144.1 to 17.170.159.25417.170.159.2554,094
17117.170.160.0/2017.170.160.1 to 17.170.175.25417.170.175.2554,094
17217.170.176.0/2017.170.176.1 to 17.170.191.25417.170.191.2554,094
17317.170.192.0/2017.170.192.1 to 17.170.207.25417.170.207.2554,094
17417.170.208.0/2017.170.208.1 to 17.170.223.25417.170.223.2554,094
17517.170.224.0/2017.170.224.1 to 17.170.239.25417.170.239.2554,094
17617.170.240.0/2017.170.240.1 to 17.170.255.25417.170.255.2554,094
17717.171.0.0/2017.171.0.1 to 17.171.15.25417.171.15.2554,094
17817.171.16.0/2017.171.16.1 to 17.171.31.25417.171.31.2554,094
17917.171.32.0/2017.171.32.1 to 17.171.47.25417.171.47.2554,094
18017.171.48.0/2017.171.48.1 to 17.171.63.25417.171.63.2554,094
18117.171.64.0/2017.171.64.1 to 17.171.79.25417.171.79.2554,094
18217.171.80.0/2017.171.80.1 to 17.171.95.25417.171.95.2554,094
18317.171.96.0/2017.171.96.1 to 17.171.111.25417.171.111.2554,094
18417.171.112.0/2017.171.112.1 to 17.171.127.25417.171.127.2554,094
18517.171.128.0/2017.171.128.1 to 17.171.143.25417.171.143.2554,094
18617.171.144.0/2017.171.144.1 to 17.171.159.25417.171.159.2554,094
18717.171.160.0/2017.171.160.1 to 17.171.175.25417.171.175.2554,094
18817.171.176.0/2017.171.176.1 to 17.171.191.25417.171.191.2554,094
18917.171.192.0/2017.171.192.1 to 17.171.207.25417.171.207.2554,094
19017.171.208.0/2017.171.208.1 to 17.171.223.25417.171.223.2554,094
19117.171.224.0/2017.171.224.1 to 17.171.239.25417.171.239.2554,094
19217.171.240.0/2017.171.240.1 to 17.171.255.25417.171.255.2554,094
19317.172.0.0/2017.172.0.1 to 17.172.15.25417.172.15.2554,094
19417.172.16.0/2017.172.16.1 to 17.172.31.25417.172.31.2554,094
19517.172.32.0/2017.172.32.1 to 17.172.47.25417.172.47.2554,094
19617.172.48.0/2017.172.48.1 to 17.172.63.25417.172.63.2554,094
19717.172.64.0/2017.172.64.1 to 17.172.79.25417.172.79.2554,094
19817.172.80.0/2017.172.80.1 to 17.172.95.25417.172.95.2554,094
19917.172.96.0/2017.172.96.1 to 17.172.111.25417.172.111.2554,094
20017.172.112.0/2017.172.112.1 to 17.172.127.25417.172.127.2554,094
20117.172.128.0/2017.172.128.1 to 17.172.143.25417.172.143.2554,094
20217.172.144.0/2017.172.144.1 to 17.172.159.25417.172.159.2554,094
20317.172.160.0/2017.172.160.1 to 17.172.175.25417.172.175.2554,094
20417.172.176.0/2017.172.176.1 to 17.172.191.25417.172.191.2554,094
20517.172.192.0/2017.172.192.1 to 17.172.207.25417.172.207.2554,094
20617.172.208.0/2017.172.208.1 to 17.172.223.25417.172.223.2554,094
20717.172.224.0/2017.172.224.1 to 17.172.239.25417.172.239.2554,094
20817.172.240.0/2017.172.240.1 to 17.172.255.25417.172.255.2554,094
20917.173.0.0/2017.173.0.1 to 17.173.15.25417.173.15.2554,094
21017.173.16.0/2017.173.16.1 to 17.173.31.25417.173.31.2554,094
21117.173.32.0/2017.173.32.1 to 17.173.47.25417.173.47.2554,094
21217.173.48.0/2017.173.48.1 to 17.173.63.25417.173.63.2554,094
21317.173.64.0/2017.173.64.1 to 17.173.79.25417.173.79.2554,094
21417.173.80.0/2017.173.80.1 to 17.173.95.25417.173.95.2554,094
21517.173.96.0/2017.173.96.1 to 17.173.111.25417.173.111.2554,094
21617.173.112.0/2017.173.112.1 to 17.173.127.25417.173.127.2554,094
21717.173.128.0/2017.173.128.1 to 17.173.143.25417.173.143.2554,094
21817.173.144.0/2017.173.144.1 to 17.173.159.25417.173.159.2554,094
21917.173.160.0/2017.173.160.1 to 17.173.175.25417.173.175.2554,094
22017.173.176.0/2017.173.176.1 to 17.173.191.25417.173.191.2554,094
22117.173.192.0/2017.173.192.1 to 17.173.207.25417.173.207.2554,094
22217.173.208.0/2017.173.208.1 to 17.173.223.25417.173.223.2554,094
22317.173.224.0/2017.173.224.1 to 17.173.239.25417.173.239.2554,094
22417.173.240.0/2017.173.240.1 to 17.173.255.25417.173.255.2554,094
22517.174.0.0/2017.174.0.1 to 17.174.15.25417.174.15.2554,094
22617.174.16.0/2017.174.16.1 to 17.174.31.25417.174.31.2554,094
22717.174.32.0/2017.174.32.1 to 17.174.47.25417.174.47.2554,094
22817.174.48.0/2017.174.48.1 to 17.174.63.25417.174.63.2554,094
22917.174.64.0/2017.174.64.1 to 17.174.79.25417.174.79.2554,094
23017.174.80.0/2017.174.80.1 to 17.174.95.25417.174.95.2554,094
23117.174.96.0/2017.174.96.1 to 17.174.111.25417.174.111.2554,094
23217.174.112.0/2017.174.112.1 to 17.174.127.25417.174.127.2554,094
23317.174.128.0/2017.174.128.1 to 17.174.143.25417.174.143.2554,094
23417.174.144.0/2017.174.144.1 to 17.174.159.25417.174.159.2554,094
23517.174.160.0/2017.174.160.1 to 17.174.175.25417.174.175.2554,094
23617.174.176.0/2017.174.176.1 to 17.174.191.25417.174.191.2554,094
23717.174.192.0/2017.174.192.1 to 17.174.207.25417.174.207.2554,094
23817.174.208.0/2017.174.208.1 to 17.174.223.25417.174.223.2554,094
23917.174.224.0/2017.174.224.1 to 17.174.239.25417.174.239.2554,094
24017.174.240.0/2017.174.240.1 to 17.174.255.25417.174.255.2554,094
24117.175.0.0/2017.175.0.1 to 17.175.15.25417.175.15.2554,094
24217.175.16.0/2017.175.16.1 to 17.175.31.25417.175.31.2554,094
24317.175.32.0/2017.175.32.1 to 17.175.47.25417.175.47.2554,094
24417.175.48.0/2017.175.48.1 to 17.175.63.25417.175.63.2554,094
24517.175.64.0/2017.175.64.1 to 17.175.79.25417.175.79.2554,094
24617.175.80.0/2017.175.80.1 to 17.175.95.25417.175.95.2554,094
24717.175.96.0/2017.175.96.1 to 17.175.111.25417.175.111.2554,094
24817.175.112.0/2017.175.112.1 to 17.175.127.25417.175.127.2554,094
24917.175.128.0/2017.175.128.1 to 17.175.143.25417.175.143.2554,094
25017.175.144.0/2017.175.144.1 to 17.175.159.25417.175.159.2554,094
25117.175.160.0/2017.175.160.1 to 17.175.175.25417.175.175.2554,094
25217.175.176.0/2017.175.176.1 to 17.175.191.25417.175.191.2554,094
25317.175.192.0/2017.175.192.1 to 17.175.207.25417.175.207.2554,094
25417.175.208.0/2017.175.208.1 to 17.175.223.25417.175.223.2554,094
25517.175.224.0/2017.175.224.1 to 17.175.239.25417.175.239.2554,094
25617.175.240.0/2017.175.240.1 to 17.175.255.25417.175.255.2554,094

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses